Error while installing magento 2.4 with php8

I am installing magento 2.4.1 with php8 and it is giving me following error

Deprecated: Method ReflectionParameter::getClass() is deprecated in C:xampphtdocsm2vendormagentoframeworkCodeReaderClassReader.php on line 34

please help.

Thanks!